@import "../../theme/common";
@import "../../theme/typography";

@mixin iconsSize {
  width: 27px;
  height: 27px;
}

.navbar-section{
  background: $color_shark;
}
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 10%;
  margin: 0 auto;
  max-width: $layout-width;
}

.navbar-logo-container:hover > .navbar-logo-text {
  color: $color_eastern-blue;
}

.navbar-logo-container:hover > .navbar-logo-icon {
  fill: url("#hover");
}

.navbar-logo-icon {
  @include iconsSize;
  vertical-align: middle;
  fill: $color_mantis;
  margin-right: 15px;
}

.navbar-logo-text {
  @include text-subheader;
  display: inline-block;
  color: $color_white;
  font-weight: bold;
  text-decoration: none;
  text-transform: none;
  vertical-align: middle;
  margin: 0;
}

.navbar-menu-item {
  @include text-regular;
  color: $color_white;
  text-decoration: none;
  text-transform: uppercase;
  padding: 5px 20px;

  &:hover {
    color: $color_eastern-blue;
  }
}

.navbar-search-icon {
  @include iconsSize;
  fill: $color_white;
}